-- Créer la base de données
CREATE DATABASE $MYSQL_DB;

-- Utiliser la base de données
USE $MYSQL_DB;

-- Créer la table "User"
CREATE TABLE User (
    id_user INT AUTO_INCREMENT PRIMARY KEY,
    name VARCHAR(255) NOT NULL,
    email VARCHAR(255) NOT NULL UNIQUE,
    password VARCHAR(255) NOT NULL
);

-- Créer la table "Search"
CREATE TABLE Search (
    id_search INT AUTO_INCREMENT PRIMARY KEY,
    id_user INT,
    article1 VARCHAR(255) NOT NULL,
    article2 VARCHAR(255) NOT NULL,
    date TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (id_user) REFERENCES User(id_user)
);

-- Créer l'utilsateur
CREATE USER IF NOT EXISTS '$MYSQL_USER'@'%' IDENTIFIED BY '$MYSQL_USER_PASSWORD';
SET PASSWORD FOR '$MYSQL_USER'@'%' = PASSWORD('$MYSQL_USER_PASSWORD');

-- Donne les droits à l'utilisateur pour la BDD spécifiée dans le .env
GRANT ALL PRIVILEGES ON $MYSQL_DB.* TO '$MYSQL_USER'@'%';

-- Applique les modifications
FLUSH PRIVILEGES;